close all;
clear all;

% Load the data for the seizure being plotted
simFile = importdata('/Users/patelni/Box Sync/Wash U/Senior Spring/Senior Design/Code/Simulateddata/3rdsim26.txt');
procFile = importdata('/Users/patelni/Box Sync/Wash U/Senior Spring/Senior Design/Code/SimulatedDataProcessed/simProc_26.txt');

% Prepare the data variables for the predictions
s = linspace(1,100);
accuracyScores = [];
sensSpecs = [];
predictionIntervals = [];

% Construct a tree with 50 randomly selected seizures
forTree = datasample(s,50,'Replace',false);
forPredict = setdiff(s,forTree);
totalData = combineData(forTree);
tree = decisionTree(totalData);

% Obtain classifications for the data when predicted on the decision tree
% and compress the classifications into alerts
labels = procFile.data(:,2);
dataToPredict = procFile.data(:,3:4);
[predictions score] = predict(tree,dataToPredict);
minConsecutive = 5;
alerts = getAlerts(labels, predictions, minConsecutive);

% Plot raw EKG signal
subplot(4,1,1);
plot(simFile.data(1,1:end-506),simFile.data(2,507:end));
xlabel('Time (s)');
ylabel('EKG Signal (mv)');
title('Raw EKG Signal');
set(gca,'FontSize',12)

% Plot computed heart rate
subplot(4,1,2);
plot(procFile.data(:,1),procFile.data(:,3));
xlabel('Time (s)');
ylabel('Heart rate (bpm)');
title('Computed heart rate');
set(gca,'FontSize',12)

% Plot computed heart rate variability
subplot(4,1,3);
plot(procFile.data(:,1),procFile.data(:,4));
xlabel('Time (s)');
ylabel('Heart rate variability (ms)');
title('Computed heart rate variability');
set(gca,'FontSize',12)

% Plot alerts
subplot(4,1,4);
plot(procFile.data(:,1),alerts);
xlabel('Time (s)');
ylabel('Prediction');
title('Software prediction');
set(gca,'FontSize',12)