close all;
clear all;

% Import the data for the file being plotted
ECGData = importdata('/Users/patelni/Box Sync/Wash U/Senior Spring/Senior Design/Code/EDFMatFiles/EEG_02.mat');
procFile = importdata('/Users/patelni/Box Sync/Wash U/Senior Spring/Senior Design/Code/EDFProcessedData/EEG_02.txt');

% Collect the data
ECG = ECGData.data(27,:);

% Set the times to start and end the plot and define a times vector
startTime=1;
stopTime=length(procFile.data);
time=linspace(startTime,stopTime,stopTime-startTime+1);

% Plot the raw data
subplot(3,1,1);
plot((ECGData.times(1+startTime*200:stopTime*200)/1000)-(startTime-1),ECG(1+startTime*200:stopTime*200));
xlabel('Time (s)');
ylabel('EKG Signal (mv)');
title('Raw EKG Signal');
set(gca,'FontSize',12)

% Plot the computed heart rate
subplot(3,1,2);
plot(time-(startTime-1),procFile.data(startTime:stopTime,3));
xlabel('Time (s)');
ylabel('Heart rate (bpm)');
title('Computed heart rate');
set(gca,'FontSize',12)

% Plot the computed heart rate variability
subplot(3,1,3);
plot(time-(startTime-1),procFile.data(startTime:stopTime,4));
xlabel('Time (s)');
ylabel('Heart rate variability (ms)');
title('Computed heart rate variability');
set(gca,'FontSize',12)