function alerts = getAlerts(labels, predictions, minConsecutive)
%     Prepare variables for loop
    alerts = [];
    preIctalCounter = 0;
    ictalCounter = 0;
    
%     Loop through predictions
    for index = 1:length(labels)
        
%         For each prediction update the number of consecutive 1s and -1s
        prediction = predictions(index);
        if prediction==-1
            preIctalCounter = preIctalCounter +1;
            ictalCounter = 0;
        elseif prediction==1
            ictalCounter = ictalCounter +1;
            preIctalCounter = 0;
        else 
            ictalCounter = 0;
            preIctalCounter = 0;
        end
        
%         If the number of consecutive 1s or -1s exceeds minConsecutive,
%         then update the alerts array
        newAlert = 0;
        if preIctalCounter >= minConsecutive
            newAlert = -1;
        end
        if ictalCounter >= minConsecutive
            newAlert = 1;
        end
        
%         Return the alerts array which is of the same length as
%         predictions, but requires at least minConsecutive 1s or -1s to
%         alert the patient
        alerts = [alerts;newAlert];
    end
end