function sensSpec = getSensSpec(labels, alerts)
%     Define initial variables that will track counts for each category
    TP = 0;
    TN = 0;
    FP = 0;
    FN = 0;
    
%     Loop through all of the labels in the provided data
    for ii = 1:length(labels)
        if (labels(ii)==1 && alerts(ii)==1) || (labels(ii)==-1 && alerts(ii)==-1)
            TP = TP+1; % Update true positive count
        elseif (labels(ii)==0 && alerts(ii)==0)
            TN = TN+1; % Update true negative count
        elseif (labels(ii)==0 && alerts(ii)==-1) || (labels(ii)==0 && alerts(ii)==1) || (labels(ii)==-1 && alerts(ii)==1)
            FN = FN+1; % Update false negative count
        else
            FP = FP+1; % Update false positive count
        end
    end
    
%     Compute sensitivity and specificity and return them in a table
    sens = TP/(TP+FN)*100;
    spec = TN/(TN+FP)*100;
    sensSpec = [sens spec];
end